Name:    	task-xfce
Version: 	2008
Release: 	%mkrel 19
Summary: 	Metapackage for the Xfce desktop environment.
Group:   	Graphical desktop/Xfce
License: 	GPL
URL:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

# xfce stuff
Requires:	task-xfce-minimal

# non xfce stuff
Requires:	gok
Requires:	orca
Requires:	exaile
Requires:	totem
Requires:	mozilla-firefox
Requires:	gcalctool
Requires:	pidgin
Requires:	ekiga
Requires:	tomboy
Requires:	f-spot
Requires:	ristretto
Requires:	eog
Requires:	epdfview
Requires:	gftp
Requires:	claws-mail
Requires:	tvtime
Requires:	sound-juicer
Requires:	brasero
Requires:	gimp
Requires:	gdm
Requires:	liferea
Requires:	deluge
Requires:	wengophone

# (tpg) some additional xfce software
Requires:	thunar-archive-plugin
Requires:	thunar-media-tags-plugin
Requires:	thunar-thumbnailers
Requires:	xfce-volstatus-icon

%description
This package is a meta-package, meaning that its purpose is to  contain
dependencies for running the Xfce Mandriva Desktop. 

Xfce panel plugins can be found in %{name}-plugins.

%package minimal
Summary: 	Minimal dependencies needed for Xfce desktop
Group: 		Graphical desktop/Xfce
Url:		http://wiki.mandriva.com/en/Development/Ideas/XFCE


# (tpg) please keep requires in alphabetical order

Requires:       exo
Requires:       mandriva-xfce-config
Requires:       mousepad
Requires:       notification-daemon-xfce
Requires:       orage
Requires:       squeeze
Requires:       terminal
Requires:       thunar
Conflicts:      xarchiver
Requires:       xfburn
Requires:       xfdesktop
Requires:       xfce-appfinder
Requires:       xfce-artwork
Requires:       xfce-dev-tools
Requires:       xfce-icon-theme
Requires:       xfce-mcs-manager
Requires:       xfce-mcs-plugins
Requires:       xfce-mixer
Requires:       xfce-panel
Requires:       xfce-session
Requires:       xfce-taskmanager
Requires:       xfce-utils
Requires:       xfmedia
Requires:       xfprint
Requires:       xfwm
Requires:       xfwm-themes

Provides:       xfce
Obsoletes:      xfce

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal Xfce desktop environment.


%package plugins
Summary:	Metapackage for the Xfce panel plugins.
Group:		Graphical desktop/Xfce
Requires:	task-xfce-minimal

# (tpg) please keep requires in alphabetical order

Requires:	xfce-battery-plugin
Requires:	xfce-cddrive-plugin
Requires:	xfce-cellmodem-plugin
Requires:	xfce-clipman-plugin
Requires:	xfce-cpu-freq-plugin
Requires:	xfce-cpugraph-plugin
Requires:	xfce-datetime-plugin
Requires:	xfce-dict-plugin
Requires:	xfce-diskperf-plugin
Requires:	xfce-eyes-plugin
Requires:	xfce-fsguard-plugin
Requires:	xfce-genmon-plugin
Requires:	xfce-mailwatch-plugin
Requires:	xfce-minicmd-plugin
Requires:	xfce-mount-plugin
Requires:	xfce-mpc-plugin
Requires:	xfce-netload-plugin
Requires:	xfce-notes-plugin
Requires:	xfce-places-plugin
Requires:	xfce-quicklauncher-plugin
Requires:	xfce-radio-plugin
Requires:	xfce-screenshooter-plugin
Requires:	xfce-sensors-plugin
Requires:	xfce-smartpm-plugin
Requires:	xfce-smartbookmark-plugin
Requires:	xfce-systemload-plugin
Requires:	xfce-time-out-plugin
Requires:	xfce-timer-plugin
Requires:	xfce-verve-plugin
Requires:	xfce-wavelan-plugin
Requires:	xfce-weather-plugin
Requires:	xfce-xfapplet-plugin
Requires:	xfce-xkb-plugin
Requires:	xfce-xmms-plugin

%description plugins
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the Xfce panel plugins.


%package devel
Summary:	Xfce development metapackage
Group:		Development/Other
Requires:	task-xfce-minimal

# (tpg) xfce stuff, please keep in alphabetical order
Requires:	libxfcegui4-devel
Requires:	libxfce4mcs-devel
Requires:	libxfce4util-devel
Requires:	python-xfce
Requires:	thunar-devel
Requires:	xfce-mcs-manager-devel
Requires:	xfce-panel-devel
Requires:	xfce-xfc

%description devel
This package is a meta-package, meaning that its purpose is to contain
dependencies for Xfce development environment.

%files

%files minimal

%files plugins

%files devel


%changelog
* Fri Sep 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2008-19mdv2008.0
+ Revision: 93477
- require deluge and f-spot
- requires mandriva-xfce-config for task-xfce-minimal
- get back to ristretto

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2008-18mdv2008.0
+ Revision: 91948
- mozilla-firefox is the default web browser

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2008-17mdv2008.0
+ Revision: 90299
- rebuild

* Sun Sep 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2008-16mdv2008.0
+ Revision: 83582
- remove ristretto in favor of mirage
  remove rhythmbox in favor of exaile
  remove evince in favor of epdfview
- tango theme seems to be broken,at least it looks uglier than rodent :)

* Tue Aug 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2008-14mdv2008.0
+ Revision: 72684
- gthumb is being replaced with ristretto
- switch f-spot with gthumb
- smart plugin for panel has a new name

* Wed Jun 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2008-13mdv2008.0
+ Revision: 41742
- remove requires on mandriva stuff
- task-xfce is now pure task package
  o all configuration files and scriplets have been moved to the xfce-config-X (where X stands for Free, One and Powerpack)
  o you have to install xfce-config-X to have Xfce composed to your current theme
- add xfce-cddrive-plugin

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2008-12mdv2008.0
+ Revision: 36756
- add plugins and devel subpackage (plus corresponding requires)
- some cleans
- spec file clean

* Thu Jun 07 2007 Jérôme Soyer <saispo@mandriva.org> 2008-11mdv2008.0
+ Revision: 36598
- Introduce blino's changes :)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - move %%post scriplet to the task-xfce-minimal package
    - add url
    - only package minimal should provide files

* Tue Jun 05 2007 Jérôme Soyer <saispo@mandriva.org> 2008-9mdv2008.0
+ Revision: 35878
- Cleanup
- Clean Up
- Clean Up
- Clean Up

* Tue Jun 05 2007 Jérôme Soyer <saispo@mandriva.org> 2008-8mdv2008.0
+ Revision: 35842
- bump release
- Split packages
- Comment abiword and gnumeric

* Tue Jun 05 2007 Jérôme Soyer <saispo@mandriva.org> 2008-6mdv2008.0
+ Revision: 35810
- Move some Requires

* Fri Jun 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2008-5mdv2008.0
+ Revision: 34398
- s/XFCE/Xfce
- s/notification-daemon/notification-daemon-xfce
- spec file clean

* Thu May 31 2007 Jérôme Soyer <saispo@mandriva.org> 2008-4mdv2008.0
+ Revision: 33096
- Fix permissions

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - s/xfce4-artwork/xfce-artwork

* Mon May 28 2007 Jérôme Soyer <saispo@mandriva.org> 2008-3mdv2008.0
+ Revision: 31942
- Add gdm

* Fri May 25 2007 Jérôme Soyer <saispo@mandriva.org> 2008-2mdv2008.0
+ Revision: 31196
- Fix sed
- Mandriva Integration

* Wed Apr 25 2007 Jérôme Soyer <saispo@mandriva.org> 2008-1mdv2008.0
+ Revision: 18147
- Task XFCE


* Thu Feb 01 2007 Jérôme Soyer <saispo@mandriva.org> 2007-11mdv2007.0
+ Revision: 115828
- Use notification-daemon instead of notification-daemon-xfce

* Fri Jan 12 2007 Jérôme Soyer <saispo@mandriva.org> 2007-10mdv2007.1
+ Revision: 108127
- Bump Release
- Only task-xfce
- Remove task-xfce-plugins

* Fri Jan 12 2007 Jérôme Soyer <saispo@mandriva.org> 2007-9mdv2007.1
+ Revision: 107821
- Bump Release
- Remove Requires

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 2007-8mdv2007.1
+ Revision: 107244
- Remove plugins

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 2007-7mdv2007.1
+ Revision: 107229
- Deactivate some plugins
- Deactivate some plugins

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 2007-6mdv2007.1
+ Revision: 107136
- Add Provides/Obsoletes
- Remove cpufreq-plugin Requires

* Thu Jan 04 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2007-4mdv2007.1
+ Revision: 104010
- Add Require

* Wed Jan 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2007-3mdv2007.1
+ Revision: 103697
- Fix Require

* Wed Jan 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2007-2mdv2007.1
+ Revision: 103652
- Fix sub-packages name

* Tue Jan 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2007-1mdv2007.1
+ Revision: 103283
- Import task-xfce

